
#ifndef GFX_H
#define GFX_H

#ifdef __cplusplus
extern "C" {
#endif


extern BITMAP *BackBuffer;

extern int GFX_Init(int w, int h, int c, int f);
extern int GFX_Shutdown();

extern BITMAP *GFX_CreateAccelBitmap(int w, int h);
extern BITMAP *GFX_CreateAccelMaskedBitmap(int w, int h);

extern void GFX_HQ_RotateSprite(BITMAP *dest, BITMAP *src, int x, int y, fixed angle);

#define DISPLAY_W 640
#define DISPLAY_H 480


#ifdef __cplusplus
}
#endif


#endif